Subject: Re: bug#25216: 26.0.50 [regression]; Curly quotes are not found in some sizes of ‘Terminus’ font

From: Dmitry Alexandrov <[email-masked]>
Date: Tue, 20 Dec 2016 05:51:04 +0300

>>    (set-fontset-font "-*-Terminus-*-fontset-startup"
>>                      '(0 . #x3FFFFF)
>>                      "Terminus")
>> 
>> Looks very much like (setq a a), but works like a charm!
>
> Are you sure this doesn't get in the way when you want to display a
> character not supported by that font?

No, I am not.  But how it could if I did mess with ‘fontset-default’?  Anyway, let us consider that example:

| Unicode charset: “Eĥoŝanĝo ĉiuĵaŭde”, “Γειά σας”, “שלום”, “Здравствуйте!”

Before (note that the fallback font is inconsistent even linewise — the first opening quote is different from others):

After:

It looks like the way it should be — first try the current fonset, only then fallback to ‘fontset-default’.

> And I still don't understand why you need that.  AFAICS, Emacs
> explicitly tries to use the default font for punctuation and symbol
> characters before falling back on looking up other fonts.

Do you mean that you could not reproduce this?

I’ve installed the lastest upstream version of Terminus [0] — and got the same issue.  So it does not seem to be Debian-specific.

[0] https://sourceforge.net/projects/terminus-font/files/terminus-font-4.40/